<?php
 /*
	连接数据库函数
*/

function conndb(){
	$dsn = "mysql:host=localhost;dbname=myapi";
	$db = new PDO($dsn, 'root', 'root'); 
	$db->exec("SET names 'utf8'");
	return $db;
}

/*
	查询函数
	1. $db: 连接数据库
	2. $sql: 查询语句
	3. $erwei: true[返回二维数组], false:返回一维数组
*/
function query($db,$sql,$erwei=true){
	$result = "";
	$query = $db->query($sql);
	$query->setFetchMode(PDO::FETCH_ASSOC);
	$result = $query->fetchAll();

	if($result){
		if(!$erwei){
		   $result = $result[0];
		}
	}
	return $result;
}

 /**
 * 打印函数
 */

function dump($str,$dump = false,$echo = true,$char = 'UTF-8')
{
	@ob_start();
	@header("Content-Type:text/html;charset=\"$char\"");
	echo '<pre><div style="text-align:left;">';
	if($dump)var_dump($str);else print_r($str);
	echo '</div></pre>';
	$out =  ob_get_contents();
	ob_end_clean();
	if($echo)
	{
		echo $out;
	}
	else
	{
		return $out;
	}
	return NULL;
}


?>